function increment() {
    var amount = document.getElementById("inventory-amount");
    amount.value = parseInt(amount.value) + 1;
}
function decrement() {
    var amount = document.getElementById("inventory-amount");
    if (amount.value > 0) {
        amount.value = parseInt(amount.value) - 1;
    }
}
function checknext() {
    var amount = document.getElementById("inventory-amount");
    var idelement = document.getElementById("inventory-id");
    var id = parseInt(idelement.innerText, 10);
    var tagelement = document.getElementById("inventory-tag");
    var msg = document.getElementById("flash-msg");
    fetch('/get_inventory', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({id: id, amount: parseInt(amount.value, 10)})
        })
        .then(response => response.json())
        .then(data => {
            // console.log('Success:', data);
            amount.value = data.amount;
            tagelement.innerText = data.tag;
            idelement.innerText = data.id;
            msg.innerText = data.checkedone + " 盘点数 " + data.checkedamount;
        })
        .catch(error => console.error('Error:', error));

}

function backtoroot(msg="已完成，返回") {
    alert(msg);
    location.href="/";
}