# -*- coding: utf-8 -*-
"""
    :author: luffmims
    :url: http://yum2.cc
    :copyright: © 2025 luffmims <luffmims@hotmaill.com>
    :license: MIT, see LICENSE for more details.
"""
from flask import Flask
from flask_sqlalchemy import SQLAlchemy

application = Flask('inventory_check_lark')
application.config.from_pyfile('settings.py')
application.jinja_env.trim_blocks = True
application.jinja_env.lstrip_blocks = True

db = SQLAlchemy(application)

from inventory_check_lark import views, errors, commands
